Bug 26309 - Elasticsearch cxn_pool must be configurable (again)
Summary: Elasticsearch cxn_pool must be configurable (again)
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact:
URL:
Keywords:
Depends on: 24823 21974
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-27 15:02 UTC by Nick Clemens
Modified: 2020-09-15 11:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26309: Unit tests (1.74 KB, patch)
2020-08-27 15:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26309: Make cxn_pool configurable (1.23 KB, patch)
2020-08-27 15:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26309: Unit tests (1.85 KB, patch)
2020-09-03 07:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26309: Make cxn_pool configurable (1.29 KB, patch)
2020-09-03 07:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26309: Unit tests (1.91 KB, patch)
2020-09-03 08:53 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26309: Make cxn_pool configurable (1.35 KB, patch)
2020-09-03 08:53 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-08-27 15:02:49 UTC
Bug 21974 added cxn_pool to elasticsearch fongi in koha-conf

Bug 24823 broke that
Comment 1 Nick Clemens 2020-08-27 15:06:02 UTC
Created attachment 109237 [details] [review]
Bug 26309: Unit tests
Comment 2 Nick Clemens 2020-08-27 15:06:05 UTC
Created attachment 109238 [details] [review]
Bug 26309: Make cxn_pool configurable

In get_elasticsearch_params we set the conf to static if undefined,
but we never defined it

To test:
1 - Apply unit test patch
2 - prove -v t/Koha/SearchEngine/Elasticsearch.t
3 - It fails
4 - Apply this patch
5 - It succeeds
Comment 3 Fridolin Somers 2020-09-03 07:27:26 UTC
Bug 25273 moved t/Koha/SearchEngine/Elasticsearch.t to t/db_dependent/Koha/SearchEngine/Elasticsearch.t but patch still applies ;)
Comment 4 Fridolin Somers 2020-09-03 07:33:22 UTC
Created attachment 109578 [details] [review]
Bug 26309: Unit tests

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 5 Fridolin Somers 2020-09-03 07:33:42 UTC
Created attachment 109579 [details] [review]
Bug 26309: Make cxn_pool configurable

In get_elasticsearch_params we set the conf to static if undefined,
but we never defined it

To test:
1 - Apply unit test patch
2 - prove -v t/Koha/SearchEngine/Elasticsearch.t
3 - It fails
4 - Apply this patch
5 - It succeeds

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 6 Martin Renvoize 2020-09-03 08:53:01 UTC
Created attachment 109589 [details] [review]
Bug 26309: Unit tests

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-09-03 08:53:04 UTC
Created attachment 109590 [details] [review]
Bug 26309: Make cxn_pool configurable

In get_elasticsearch_params we set the conf to static if undefined,
but we never defined it

To test:
1 - Apply unit test patch
2 - prove -v t/Koha/SearchEngine/Elasticsearch.t
3 - It fails
4 - Apply this patch
5 - It succeeds

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2020-09-03 08:54:08 UTC
Works as expected, tests pass and QA script passes.

Passing QA.
Comment 9 Jonathan Druart 2020-09-03 13:04:59 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-09-14 21:11:23 UTC
backported to 20.05.x for 20.05.04
Comment 11 Aleisha Amohia 2020-09-15 11:31:50 UTC
missing dependencies, not backported to 19.11.x